Автор Тема: Как поменять версию JQuery  (Прочитано 37 раз)

15 Октября 2016, 00:37:41
  • Новичок
  • *
  • Сообщений: 17
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Подскажите пожалуйста, смотрю в браузере код страницы и вижу, что
у меня на сайте подключены вот такие скрипты:
<script type="text/javascript" src="/js/jquery/jquery-1.11.0.min.js"></script>
<script type="text/javascript" src="/js/jquery/jquery-migrate-1.2.1.min.js"></script>
<script type="text/javascript" src="/js/jquery/plugins/jquery.easing.js"></script>
<script type="text/javascript" src="/js/tools.js"></script>
<script type="text/javascript" src="/themes/ps_glori/js/global.js"></script>
<script type="text/javascript" src="/themes/ps_glori/js/autoload/10-bootstrap.min.js"></script>
<script type="text/javascript" src="/themes/ps_glori/js/autoload/15-jquery.total-storage.min.js"></script>
<script type="text/javascript" src="/themes/ps_glori/js/autoload/15-jquery.uniform-modified-opc.js"></script>
<script type="text/javascript" src="/js/jquery/plugins/fancybox/jquery.fancybox.js"></script>
<script type="text/javascript" src="/themes/ps_glori/js/products-comparison.js"></script>
<script type="text/javascript" src="/js/jquery/plugins/jquery.idTabs.js"></script>
<script type="text/javascript" src="/js/jquery/plugins/jquery.scrollTo.js"></script>
<script type="text/javascript" src="/js/jquery/plugins/jquery.serialScroll.js"></script>
<script type="text/javascript" src="/js/jquery/plugins/bxslider/jquery.bxslider.js"></script>
<script type="text/javascript" src="/themes/ps_glori/js/product.js"></script>
<script type="text/javascript" src="/themes/ps_glori/js/modules/blockcart/ajax-cart.js"></script>
<script type="text/javascript" src="/themes/ps_glori/js/tools/treeManagement.js"></script>
<script type="text/javascript" src="/themes/ps_glori/js/modules/blocknewsletter/blocknewsletter.js"></script>
<script type="text/javascript" src="/themes/ps_glori/js/modules/csmanagement/js/codespot-global.js"></script>
<script type="text/javascript" src="/themes/ps_glori/js/modules/csmanagement/js/library/owl.carousel/owl.carousel.js"></script>
<script type="text/javascript" src="/themes/ps_glori/js/modules/csmanagement/js/library/jquery.imagesloaded.min.js"></script>
<script type="text/javascript" src="/themes/ps_glori/js/modules/csmanagement/js/library/modernizr.custom.js"></script>
<script type="text/javascript" src="/themes/ps_glori/js/modules/csmanagement/js/library/jquery.appear.js"></script>
<script type="text/javascript" src="/themes/ps_glori/js/modules/csmanagement/js/library/jquery.smooth-scroll.js"></script>
<script type="text/javascript" src="/themes/ps_glori/js/modules/csmanagement/js/csfilterproduct.js"></script>
<script type="text/javascript" src="/themes/ps_glori/js/modules/blockwishlist/js/ajax-wishlist.js"></script>
<script type="text/javascript" src="/themes/ps_glori/js/modules/sendtoafriend/sendtoafriend.js"></script>
<script type="text/javascript" src="/js/jquery/plugins/autocomplete/jquery.autocomplete.js"></script>
<script type="text/javascript" src="/modules/cscountdown/js/jquery.countdown.js"></script>
<script type="text/javascript" src="/themes/ps_glori/js/modules/productscategory/js/productscategory.js"></script>
<script type="text/javascript" src="/modules/csmegamenu/js/front/csmegamenu.js"></script>
<script type="text/javascript" src="/modules/ecm_feedback/js/jquery.validate.min.js"></script>
<script type="text/javascript" src="/modules/ecm_feedback/js/jquery.contactable.js"></script>
<script type="text/javascript" src="/modules/ecm_feedback/js/form.js"></script>
<script type="text/javascript" src="/themes/ps_glori/js/modules/mailalerts/mailalerts.js"></script>
<script type="text/javascript" src="/modules/pm_advancedsearch4/js/jquery.min.js"></script>
<script type="text/javascript" src="/modules/pm_advancedsearch4/js/jqueryui/1.8.9/jquery-ui-1.8.9.custom.min.js"></script>
<script type="text/javascript" src="/modules/pm_advancedsearch4/js/jqueryui/jquery.ui.touch-punch.min.js"></script>
<script type="text/javascript" src="/modules/pm_advancedsearch4/js/loadjqPm.js"></script>
<script type="text/javascript" src="/modules/pm_advancedsearch4/js/jquery.actual.min.js"></script>
<script type="text/javascript" src="/modules/pm_advancedsearch4/js/jquery.history/jquery.history.js"></script>
<script type="text/javascript" src="/modules/pm_advancedsearch4/js/jquery.history/jquery.observehashchange.pack.js"></script>
<script type="text/javascript" src="/modules/pm_advancedsearch4/js/pm_advancedsearch.js"></script>
<script type="text/javascript" src="/modules/pm_advancedsearch4/js/jquery.form.js"></script>
<script type="text/javascript" src="/modules/pm_advancedpack/js/owl.carousel.min.js"></script>
<script type="text/javascript" src="/modules/pm_advancedpack/js/product-footer.js"></script>


Меня смущает наличие двух версий jquery: jquery-1.11.0.min.js и queryui/1.8.9/jquery-ui-1.8.9.custom.min.js.
Как вы считаете, не стоит ли оставить какую-то одну версию из этих скриптов, и, если да, то как это сделать.
15 Октября 2016, 09:18:18
Ответ #1
  • Новичок
  • *
  • Сообщений: 42
  • Репутация: +0/-0
  • PrestaShop 1.6.1.7
    • Просмотр профиля
Так у Вас ещё и jquery.min.js, но это наверное JQueryCore.
Посмотрите содержимое этих двух файлов и если и то и то JQuery UI, то оставьте последнюю версию.
Но учтите, вдруг каким-то модулям нужна именно старая версия.
_________
Удаление вирусов и вредоносного кода с любых сайтов.
15 Октября 2016, 11:42:49
Ответ #2
  • Ветеран
  • *****
  • Сообщений: 13121
  • Репутация: +14553/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Модуль pm_advancedsearch4 использует jquery-ui-1.8.9, поэтому удалять нельзя.